CPAN::Meta::Merge(3p)

NAME
CPAN::Meta::Merge - Merging CPAN Meta fragments

VERSION
version 2.150005

SYNOPSIS
 my $merger = CPAN::Meta::Merge->new(default_version => "2");
 my $meta = $merger->merge($base, @additional);

DESCRIPTION

METHODS

  new
This creates a CPAN::Meta::Merge object. It takes one mandatory named argument, "version", declaring the version of the meta-spec that must be used for the merge. It can optionally take an "extra_mappings" argument that allows one to add additional merging functions for specific elements.

  merge(@fragments)
Merge all @fragments together. It will accept both CPAN::Meta objects and (possibly incomplete) hashrefs of metadata.

AUTHORS

•   David Golden <dagolden@cpan.org>

•   Ricardo Signes <rjbs@cpan.org>

COPYRIGHT AND LICENSE
This software is copyright (c) 2010 by David Golden and Ricardo Signes.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.